import { Component, OnInit, ViewChild, ElementRef } from '@angular/core';
import { ViewerService } from './services';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit {

  private viewer;

  constructor(
    private viewerService: ViewerService,
  ) { }

  ngOnInit(): void {
    this.viewer = this.viewerService.initViewer('container', {
      sceneMode: smart3d.SceneMode.SCENE3D,
      scene3DOnly: true,
      terrainProvider: smart3d.TerrainManager.createWorldTerrain(),
      helper: false,
    });
  }
}
